<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

unset( $_SESSION['producto'] );

if($_POST['botonDesleer']) {

	$trazas='';
	
	foreach($_POST as $clave=>$valor) if(substr($clave,0,7)=='liberar') {
		
		if($trazas!='') $trazas.='@';
		$trazas.=$valor;

	}
	
	$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#ANULACION#'.$_SESSION['entradaTrazabilidad']['NumEntrada'].';'.$trazas;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') echo '<p>Anulación realizada correctamente.</p>';	
	else echo '<p class="error">ERROR: '.$resultado[0]['Error'].'</p>';

}


$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['entradaTrazabilidad']['NumEntrada'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	
$_SESSION['entradaTrazabilidad']=$resultado[0];
$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entradaTrazabilidad']['ListaProductos']);

?>

<div class="estilosOP">

<div id="popupTrazabilidad" class="popup" style="display:none"></div>
<div id="popupTrazabilidadContenido" class="popupContenidoScroll" style="display:none"></div>

<h2>Trazabilidad de tabaco en cntrada Nº 
  <?php if($_GET['entrada']) echo $_GET['entrada']; else echo $_SESSION['entradaTrazabilidad']['NumEntrada']; ?></h2>

<?php
if($resultado[0]['Error']) {
	$valores=explode('#',$resultado[0]['Error']);
	?><p class="error">ERROR: <?php echo $valores[1]; ?></p><?php
}
else {
?>
<table class="tablaFormateada desplazamientoSuperior">
  <tr>
    <?php if(is_array($_SESSION['empresas']) && count($_SESSION['empresas'])>1) { ?>
    <th>Empresa</th>
    <?php } ?>
    <th>Fecha</th>
    <th>Expedidor</th>
    <?php if($_SESSION['gestion']!='PRI') { ?>
    <th>Propietario</th>
    <?php } ?>
  </tr>
  <tr>
    <?php if(is_array($_SESSION['empresas']) && count($_SESSION['empresas'])>1) { ?>
    <td><?php echo $_SESSION['entradaTrazabilidad']['Empresa']; ?></td>
    <?php } ?>
    <td><?php echo fechaNacional($_SESSION['entradaTrazabilidad']['FechaEntrada']); ?></td>
    <td><?php echo $_SESSION['entradaTrazabilidad']['Expedidor']; ?></td>
    <?php if($_SESSION['gestion']!='PRI') { ?>
    <td><?php echo $_SESSION['entradaTrazabilidad']['ClientePropietario']; ?></td>
    <?php } ?>
  </tr>
</table>
<?php

// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosLeidos=array();

foreach($_SESSION['productos'] as $producto) if($producto['Leido']>0) $productosLeidos[]=$producto;


if(is_array($productosLeidos) && count($productosLeidos)>0) {
	
	?>
    
    <form id="form1" name="form1" method="post" action="?traza=<?php echo $_GET['traza']; ?>">
    
	<h3>Anular trazabilidad registrada:</h3>
		
    <table class="tablaFormateada anchoMaximo">
    
		<tr>
			<th>Código</th>
        	<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
			<th>Id</th>
			<th>Formato</th>
            <th>Cantidad</th>
            <th>Anular</th>
		</tr>
        
        <?php $contador=1; ?>
        
        <?php foreach($productosLeidos as $producto) { ?>
        
			<?php foreach(arreglaArrayPXMobileProxiumResult($producto['ProductoIDs']) as $lectura) { ?>
    
            <tr class="lineaEntrada">
                        
                <td><?php echo $producto['Codigo']; ?></td>
                <td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?>
                        <td>
                        <?php
                        if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
                        else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
                        ?>                        </td> 
                    <?php } ?>
                <?php } ?>
                <td align="left"><?php echo formateaTTT($lectura['CodigoEscaneado']); ?></td>
                <td>
                <?php
					$arrayTemp=unserialize(FORMATOS_TRAZABILIDAD);
					echo $arrayTemp[$lectura['Formato']];
				?>
                </td>
                <td align="right"><?php echo number_format($lectura['Cantidad'],0,',','.'); ?></td>
                <td><input type="checkbox" name="liberar<?php echo $contador; ?>" id="checkbox<?php echo $contador; ?>" class="checkGrande" value="<?php echo $producto['LineaEntrada'].','.$lectura['Cantidad'].','.$lectura['Formato'].','.codificaTTT($lectura['CodigoEscaneado']); ?>"/></td>
            </tr>
            
            <?php $contador++; ?>
            
            <?php }  ?>
            
		<?php }  ?>
	</table>
    
    <p><input type="submit" name="botonDesleer" id="botonDesleer" value="Confirmar anulación" class="mostrarCargando boton" /></p>
    
    

	</form>

<?php } ?>

<p><input type="submit" name="botonVolverDetalle" id="botonVolverDetalle" value="Volver al detalle de Trazabilidad de la Entrada" class="mostrarCargando boton reducido" /></p>

</div> <!-- classe estilosOP -->

<script>

$(document).ready(function() {

	$('#botonVolverDetalle').on('click',function(){
		$('#popupCargando').show();
		window.location='trazabilidad-tabaco-entrada.php';
	});
	
});

</script>
<?php
} //Else error

$noMostrarPlay=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-trazabilidad-tabaco-entrada.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>